Overview | Package | Class
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.util
Class Proxy

Dynamic groovy proxy for another object. All method invocations get forwarded to actual object, unless the proxy overrides it. See groovy/util/ProxyTest.groovy for usage details.

author:
  Troy Heninger

author:
  Dierk Koenig

Field Summary
`Object` | `adaptee`

Constructor Summary
`Proxy()`

Method Summary
`Object` | `getAdaptee()`
`Object` | `invokeMethod(String name, Object args)`
`Iterator` | `iterator()`
`void` | `setAdaptee(Object adaptee)`
`Proxy` | `wrap(Object adaptee)` This method is for convenience.

Constructor Detail

### Proxy

    Proxy()

Method Detail

### getAdaptee

    public Object getAdaptee()

### invokeMethod

    public Object invokeMethod(String name, Object args)

### iterator

    public Iterator iterator()

### setAdaptee

    public void setAdaptee(Object adaptee)

### wrap

    public Proxy wrap(Object adaptee)

  This method is for convenience. It allows to get around the need for defining dump ctors is subclasses. See unit tests for details.